OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000797OMNeT++command line toolspublic2014-12-08 08:472017-02-01 16:56
Reporterkyeongsoo 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSWindows 7 (64 bit)OS VersionUltimate
Product Version4.6b1 
Target VersionFixed in Version5.1pre2 
Summary0000797: "git pull" fails with the bundled git in win32 distribution
DescriptionThe git (bundled with the released version 4.6) always fails to pull with the following error messages:

Warning: Permanently added the RSA host key for IP address '192.30.252.131' to the list of known hosts.
/usr/lib/git-core/git-pull: line 340: exec: git-merge: not found
fatal: 'pull' appears to be a git command, but we were not
able to execute it. Maybe git-pull is broken?
Steps To ReproduceGo to a git repository (e.g., inet or inet-hnrl) and type "pull" in OMNeT++ command line.
Additional InformationPer the error messages, I looked for the file 'git-merge' and couldn't find it in the version 4.6, while I found it with two prior versions (i.e., 4.5 and 4.4.1).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001303)
andras (administrator)
2017-02-01 16:56

Since 5.1pre2, omnetpp is shipped with an upgraded toolchain based on MinGW-w64, and should not have this issue.

- Issue History
Date Modified Username Field Change
2014-12-08 08:47 kyeongsoo New Issue
2015-10-12 09:28 ammmar1988 Issue cloned: 0000871
2017-02-01 16:56 andras Note Added: 0001303
2017-02-01 16:56 andras Status new => resolved
2017-02-01 16:56 andras Fixed in Version => 5.1pre2
2017-02-01 16:56 andras Resolution open => fixed
2017-02-01 16:56 andras Assigned To => andras


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker